Loading...
Searching...
No Matches
TrcPacketBase Class Referenceabstract

`#include <trc_pkt_elem_base.h>`

Inheritance diagram for TrcPacketBase:
[legend]

## Public Member Functions

| TrcPacketBase ()
virtual | ~TrcPacketBase ()
virtual const void * | c_pkt () const =0
| return the underlying C API packet structure

## Detailed Description

Definition at line 37 of file trc_pkt_elem_base.h.

## Constructor & Destructor Documentation

## TrcPacketBase()

TrcPacketBase::TrcPacketBase | ( |  | ) |

inline

Definition at line 40 of file trc_pkt_elem_base.h.

## ~TrcPacketBase()

virtual TrcPacketBase::~TrcPacketBase | ( |  | ) |

inline virtual

Definition at line 41 of file trc_pkt_elem_base.h.

## Member Function Documentation

## c_pkt()

virtual const void * TrcPacketBase::c_pkt | ( |  | ) | const

pure virtual

return the underlying C API packet structure

Implemented in EtmV3TrcPacket, EtmV4ITrcPacket, PtmTrcPacket, and StmTrcPacket.

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/common/trc_pkt_elem_base.h